Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemView.State

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemView.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemView

    public static final class QAbstractItemView.State

extends java.lang.Enum
implements QtEnumerator

Describes the different states the view can be in. This is usually only interesting when reimplementing your own view.

See Also:
  Serialized Form

Field Summary
`static QAbstractItemView.State` | `AnimatingState` The item view is performing an animation.
`static QAbstractItemView.State` | `CollapsingState` The user is closing a branch of items.
`static QAbstractItemView.State` | `DraggingState` The user is dragging items.
`static QAbstractItemView.State` | `DragSelectingState` The user is selecting items.
`static QAbstractItemView.State` | `EditingState` The user is editing an item in a widget editor.
`static QAbstractItemView.State` | `ExpandingState` The user is opening a branch of items.
`static QAbstractItemView.State` | `NoState` The is the default state.

Method Summary
`static QAbstractItemView.State` | `resolve(int value)` Returns the QAbstractItemView$State constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.State` | `valueOf(java.lang.String name)`
`static QAbstractItemView.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoState

    public static final QAbstractItemView.State NoState

  The is the default state.

### DraggingState

    public static final QAbstractItemView.State DraggingState

  The user is dragging items.

### DragSelectingState

    public static final QAbstractItemView.State DragSelectingState

  The user is selecting items.

### EditingState

    public static final QAbstractItemView.State EditingState

  The user is editing an item in a widget editor.

### ExpandingState

    public static final QAbstractItemView.State ExpandingState

  The user is opening a branch of items.

### CollapsingState

    public static final QAbstractItemView.State CollapsingState

  The user is closing a branch of items.

### AnimatingState

    public static final QAbstractItemView.State AnimatingState

  The item view is performing an animation.

Method Detail

### values

    public static QAbstractItemView.State[] values()

### valueOf

    public static QAbstractItemView.State valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.State resolve(int value)

  Returns the QAbstractItemView$State constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD